Host Kernel Module System Query Modules

Host Kernel Module System Query Modules
Query the set of modules on the host.

Query the set of modules on the host.

Required privileges: Host.Config.Settings

Request
URI
POST
https://{vcenter-host}/sdk/vim25/{release}/HostKernelModuleSystem/{moId}/QueryModules
COPY
Path Parameters
string
moId
Required

The unique identifier for the managed object to which the method attaches; the serialized managed object reference for a request has the form moType/moId, in this case HostKernelModuleSystem/{moId}.

string
release
Required

The vSphere release schema. The current specification covers vSphere 9.1.0.0 APIs.


Authentication
This operation uses the following authentication methods.
Responses
200

OK

[
    {
        "_typeName": "string",
        "id": 0,
        "name": "string",
        "version": "string",
        "filename": "string",
        "optionString": "string",
        "loaded": false,
        "enabled": false,
        "useCount": 0,
        "readOnlySection": {
            "_typeName": "string",
            "address": 0,
            "length": 0
        },
        "writableSection": {
            "_typeName": "string",
            "address": 0,
            "length": 0
        },
        "textSection": {
            "_typeName": "string",
            "address": 0,
            "length": 0
        },
        "dataSection": {
            "_typeName": "string",
            "address": 0,
            "length": 0
        },
        "bssSection": {
            "_typeName": "string",
            "address": 0,
            "length": 0
        }
    }
]
array of object
Optional

Information about a kernel module.


Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' https://{api_host}/sdk/vim25/{release}/HostKernelModuleSystem/{moId}/QueryModules